Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Class RemoteReportServerToolkit

    java.lang.Object
      jet.server.api.rmi.RemoteReportServerToolkit

    public final class RemoteReportServerToolkit

extends java.lang.Object

This class provide methods to user to get remote wrapped JReport server or do other operations on remote wrapped JReport server. For example, if you want to get a remote wrapped JReport server, which connected to a running JReport server reside in host 192.168.128.14, use rmi port 1129, you can invoke method getRemoteRptServer() like
`RptServer rptServer = getRemoteRptServer("192.168.128.14", "1129");
...`

Since:
  5.2

Constructor Summary
`RemoteReportServerToolkit()`

Method Summary
`static boolean` | `destroyRemoteFileService(java.lang.String host, java.lang.String port)` Destroy an instance of RemoteFileService by that running JReport server's host and rmi port
`static RemoteFileService` | `getRemoteFileService(java.lang.String host, java.lang.String port)` Get RemoteFileService instance by that running JReport server's host and rmi port
`static RemoteRptServer` | `getRemoteRptServer(java.lang.String host, java.lang.String port)` Get remote interface attached on a JReport server by that running JReport server's host and rmi port
`static int` | `getRemoteServerStatus(java.lang.String host, java.lang.String port)`
`static HttpRptServer` | `getRemoteWrappedAdminServer(java.lang.String host, java.lang.String port)` Get remote wrapped JReport server connected to an admin server in a JReport cluster, if there is a existing remote wrapped server, which connects to an admin server of a cluster, this method will return this existing remote wrapped server, even though this existing server can not be spcefied by parameter "host" and "port".
`static HttpRptServer` | `getRemoteWrappedAdminServer(java.lang.String host, java.lang.String port, java.lang.String logPath)` Get remote wrapped JReport server connected to an admin server in a JReport cluster, if there is a existing remote wrapped server, which connects to an admin server of a cluster, this method will return this existing remote wrapped server, even though this existing server can not be spcefied by parameter "host" and "port".
`static HttpRptServer` | `getRemoteWrappedRptServer(java.lang.String host, java.lang.String port)` Get remote wrapped JReport server by a running JReport server's host and rmi port, use system property "user.dir" as log dir.
`static HttpRptServer` | `getRemoteWrappedRptServer(java.lang.String host, java.lang.String port, java.lang.String logPath)` Get remote wrapped JReport server by a running JReport server's host and rmi port,

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteReportServerToolkit

    public RemoteReportServerToolkit()

Method Detail

### getRemoteWrappedRptServer

    public static HttpRptServer getRemoteWrappedRptServer(java.lang.String host,
                                                          java.lang.String port)

  Get remote wrapped JReport server by a running JReport server's host and rmi port, use system property "user.dir" as log dir.

  Parameters:
    `host` - host of a running JReport server which want to connect
    `port` - rmi port of a running JReport server which want to connect
  Returns:
    a remote wrapped JReport server connected to specified running JReport server, or null if can not connect to specified JReport server.

### getRemoteWrappedRptServer

    public static HttpRptServer getRemoteWrappedRptServer(java.lang.String host,
                                                          java.lang.String port,
                                                          java.lang.String logPath)

  Get remote wrapped JReport server by a running JReport server's host and rmi port,

  Parameters:
    `host` - host of a running JReport server which want to connect
    `port` - rmi port of a running JReport server which want to connect
    `logPath` - specify the directory that error log of remote wrapped report server save to, log file name is "error.log".
  Returns:
    a remote wrapped JReport server connected to specified running JReport server, or null if can not connect to specified JReport server.

### getRemoteRptServer

    public static RemoteRptServer getRemoteRptServer(java.lang.String host,
                                                     java.lang.String port)

  Get remote interface attached on a JReport server by that running JReport server's host and rmi port

  Parameters:
    `host` - host of a running JReport server which want to connect
    `port` - rmi port of a running JReport server which want to connect
  Returns:
    a remote interface attached on specified running JReport server, or null if can not connect to specified JReport server.

### getRemoteWrappedAdminServer

    public static HttpRptServer getRemoteWrappedAdminServer(java.lang.String host,
                                                            java.lang.String port)

  Get remote wrapped JReport server connected to an admin server in a JReport cluster, if there is a existing remote wrapped server, which connects to an admin server of a cluster, this method will return this existing remote wrapped server, even though this existing server can not be spcefied by parameter "host" and "port". Otherwise, return a remote wrapped JReport server by a running JReport server's host and rmi port, that running JReport server must be an admin server of a JReport cluster. Return null only if specified JReport server is inactive or not admin server. Use value of system property "user.dir" as log dir.

  Parameters:
    `host` - host of a running JReport server which want to connect
    `port` - rmi port of a running JReport server xhich want to connect
  Returns:
    a remote wrapped JReport server connected to an admin server, or null if can not connect to specified JReport server or specified server is not an admin server.

### getRemoteWrappedAdminServer

    public static HttpRptServer getRemoteWrappedAdminServer(java.lang.String host,
                                                            java.lang.String port,
                                                            java.lang.String logPath)

  Get remote wrapped JReport server connected to an admin server in a JReport cluster, if there is a existing remote wrapped server, which connects to an admin server of a cluster, this method will return this existing remote wrapped server, even though this existing server can not be spcefied by parameter "host" and "port". Otherwise, return a remote wrapped JReport server by a running JReport server's host and rmi port, that running JReport server must be an admin server of a JReport cluster. Return null only if specified JReport server is inactive or not admin server.

  Parameters:
    `host` - host of a running JReport server which want to connect
    `port` - rmi port of a running JReport server which want to connect
    `logPath` - specify the directory that error log of remote wrapped report server save to, log file name is "error.log".
  Returns:
    a remote wrapped JReport server connected to an admin server, or null if can not connect to specified JReport server or specified server is not an admin server.

### getRemoteFileService

    public static RemoteFileService getRemoteFileService(java.lang.String host,
                                                         java.lang.String port)

  Get RemoteFileService instance by that running JReport server's host and rmi port

  Parameters:
    `host` - host of a running JReport server which want to connect
    `port` - rmi port of a running JReport server which want to connect
  Returns:
    a instance of RemoteFileService, or null if can not connect to specified JReport server.

### destroyRemoteFileService

    public static boolean destroyRemoteFileService(java.lang.String host,
                                                   java.lang.String port)

  Destroy an instance of RemoteFileService by that running JReport server's host and rmi port

  Parameters:
    `host` - host of a running JReport server which want to connect
    `port` - rmi port of a running JReport server which want to connect
  Returns:
    true if the RemoteFileService instance actually exist in JReport server before being destroyed; return false if it doesn't exist.

### getRemoteServerStatus

    public static int getRemoteServerStatus(java.lang.String host,
                                            java.lang.String port)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD